RK-J - Task #3063

Feature # 3024 (Closed): extension 0.92.20 & 0.93: Enable OpenAl answers

Feature # 3061 (Closed): Backend requirements

BE-0.92.20: Add OpenAl Config settings.

06/08/2023 06:03 AM - Ayush Khandelwal

Status: Closed Start date: 06/08/2023
Priority: Immediate Due date: 06/08/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 6.00 hours
Description

- Add OpenAl Configuration setting on the setting page. (OpenAlAnswerConfig)
- Add one input box & the 'Set' button. This field is for setting the Key to the datastore. This is for saving the 'openAlAnswerKey' in

the datastore. This will be a type of String.

- Also, add one toggle button. This is for saving the 'isOpenAlAnswerSupported'. This will be the boolean value. By default, this will

be false.

NOTE: Store the KEY in the encrypted format using AES Encryption. Only allowed for admin users.

History

#1 - 06/08/2023 06:04 AM - Ayush Khandelwal

- Description updated

#2 - 06/08/2023 06:11 AM - Ayush Khandelwal
- Description updated

- Assignee deleted (Venmuhilan B)

#3 - 06/08/2023 06:20 AM - Ayush Khandelwal
- Description updated

#4 - 06/08/2023 06:24 AM - Ayush Khandelwal
- Estimated time changed from 2.00 h to 3.00 h

#5 - 06/08/2023 06:53 AM - Ayush Khandelwal

- Assignee set to Ayush Khandelwal

#6 - 06/08/2023 07:21 AM - Ayush Khandelwal

- Status changed from New to In Progress

#7 - 06/08/2023 07:36 PM - Ayush Khandelwal
- % Done changed from 0 to 60

#8 - 06/09/2023 05:38 AM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 60 to 100

#9 - 06/09/2023 11:00 AM - Ayush Khandelwal

- Status changed from Resolved to Reopened

#10 - 06/09/2023 11:00 AM - Ayush Khandelwal

- Status changed from Reopened to In Progress

#11 - 06/09/2023 12:10 PM - Ayush Khandelwal
- Status changed from In Progress to Resolved

#12 - 06/09/2023 03:11 PM - Ayush Khandelwal
- Description updated

- Status changed from Resolved to Feedback

Working as expected

#13 - 06/22/2023 11:19 AM - Ayush Khandelwal
- Status changed from Feedback to Closed
